Bug 141960 - My camera doesn't get mounted
My camera doesn't get mounted
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-06 08:39 EST by Daniel Malmgren
Modified: 2013-03-13 00:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 03:32:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Malmgren 2004-12-06 08:39:13 EST
Description of problem:
When inserting the usb cable into my camera I expect it to be mounted.
It doesn't.

Version-Release number of selected component (if applicable):
gnome-volume-manager-1.1.0-5
hal-0.4.1.snapshot20041116-1

How reproducible:
100%

Steps to Reproduce:
1. Plug in usb cable between camera and computer
2. Turn the camera on
  
Actual results:
sd_mod and usb_storage modules get loaded as expected, and I get
/dev/sda and /dev/sda1 devices. The camera also pops up in
hal-device-manager, but it doesn't get mounted.

Expected results:
The camera should get mounted and pop up on my desktop.

Additional info:
Gnome-volume-properties is set up to mount detachable devices. I also
tried fiddling around with fdi settings (according to tip in bug
#138269 comments) so that storage.policy.should_mount is set for the
device, still no luck. Pasting relevant pieces of lshal output below:

udi =
'/org/freedesktop/Hal/devices/usb_usb_device_4cb_112_1000_-1_Y-393^^^^^020913WFC00001022379_0'
  storage.policy.should_mount = true  (bool)
  info.udi =
'/org/freedesktop/Hal/devices/usb_usb_device_4cb_112_1000_-1_Y-393^^^^^020913WFC00001022379_0'
 (string)
  info.product = 'USB Mass Storage Interface'  (string)
  usb.interface.subclass = 5  (0x5)  (int)
  usb.interface.protocol = 0  (0x0)  (int)
  usb.interface.number = 0  (0x0)  (int)
  usb.interface.class = 8  (0x8)  (int)
  usb.configuration_value = 1  (0x1)  (int)
  usb.device_class = 0  (0x0)  (int)
  usb.device_protocol = 0  (0x0)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.max_power = 2  (0x2)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 1  (0x1)  (int)
  usb.device_revision_bcd = 4096  (0x1000)  (int)
  usb.is_self_powered = true  (bool)
  usb.can_wake_up = false  (bool)
  usb.serial = 'Y-393^^^^^020913WFC00001022379'  (string)
  usb.product_id = 274  (0x112)  (int)
  usb.vendor_id = 1227  (0x4cb)  (int)
  usb.vendor = 'Fuji Photo Film Co., Ltd'  (string)
  usb.product = 'USB Mass Storage'  (string)
  usb.bus_number = 3  (0x3)  (int)
  usb.port_number = 2  (0x2)  (int)
  usb.level_number = 1  (0x1)  (int)
  usb.linux.device_number = 4  (0x4)  (int)
  usb.linux.parent_number = 4  (0x4)  (int)
  usb.num_ports = 0  (0x0)  (int)
  usb.speed_bcd = 4608  (0x1200)  (int)
  usb.version_bcd = 272  (0x110)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_4cb_112_1000_-1_Y-393^^^^^020913WFC00001022379'
 (string)
  usb.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-2/3-2:1.0'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-2/3-2:1.0'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-2/3-2:1.0'  (string)
  info.bus = 'usb'  (string)

udi =
'/org/freedesktop/Hal/devices/usb_device_4cb_112_1000_-1_Y-393^^^^^020913WFC00001022379'
  storage.policy.should_mount = true  (bool)
  info.udi =
'/org/freedesktop/Hal/devices/usb_device_4cb_112_1000_-1_Y-393^^^^^020913WFC00001022379'
 (string)
  linux.kernel_devname = 'usb-0000:00:02.1-2'  (string)
  usb_device.version_bcd = 272  (0x110)  (int)
  usb_device.speed_bcd = 4608  (0x1200)  (int)
  usb_device.num_ports = 0  (0x0)  (int)
  usb_device.linux.parent_number = 4  (0x4)  (int)
  usb_device.linux.device_number = 4  (0x4)  (int)
  usb_device.level_number = 1  (0x1)  (int)
  usb_device.port_number = 2  (0x2)  (int)
  usb_device.bus_number = 3  (0x3)  (int)
  info.product = 'USB Mass Storage'  (string)
  usb_device.product = 'USB Mass Storage'  (string)
  info.vendor = 'Fuji Photo Film Co., Ltd'  (string)
  usb_device.vendor = 'Fuji Photo Film Co., Ltd'  (string)
  usb_device.vendor_id = 1227  (0x4cb)  (int)
  usb_device.product_id = 274  (0x112)  (int)
  usb_device.serial = 'Y-393^^^^^020913WFC00001022379'  (string)
  usb_device.can_wake_up = false  (bool)
  usb_device.is_self_powered = true  (bool)
  usb_device.device_revision_bcd = 4096  (0x1000)  (int)
  usb_device.num_interfaces = 1  (0x1)  (int)
  usb_device.num_configurations = 1  (0x1)  (int)
  usb_device.max_power = 2  (0x2)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  usb_device.device_protocol = 0  (0x0)  (int)
  usb_device.device_class = 0  (0x0)  (int)
  usb_device.configuration_value = 1  (0x1)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_0_0_206_-1_0000:00:02.1' 
(string)
  usb_device.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-2'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-2'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.1/usb3/3-2' 
(string)
  info.bus = 'usb_device'  (string)
Comment 1 John (J5) Palmieri 2004-12-06 13:33:20 EST
Please post the complete output of lshal
Comment 2 Daniel Malmgren 2004-12-07 07:36:05 EST
Ok. Here goes:

Dumping 45 device(s) from the Global Device List:
-------------------------------------------------
udi = '/org/freedesktop/Hal/devices/scsi_host_0'
  storage.policy.should_mount = true  (bool)
  info.udi = '/org/freedesktop/Hal/devices/scsi_host_0'  (string)
  info.capabilities = 'scsi_host'  (string)
  info.product = 'SCSI Host Interface'  (string)
  scsi_host.host = 0  (0x0)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/usb_usb_device_4cb_112_1000_-1_Y-393^^^^^020913WFC00001022379_0'
 (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-2/3-2:1.0/host0'  (string)
  linux.sysfs_path = '/sys/class/scsi_host/host0'  (string)
  info.bus = 'scsi_host'  (string)

udi =
'/org/freedesktop/Hal/devices/usb_usb_device_4cb_112_1000_-1_Y-393^^^^^020913WFC00001022379_0'
  storage.policy.should_mount = true  (bool)
  info.udi =
'/org/freedesktop/Hal/devices/usb_usb_device_4cb_112_1000_-1_Y-393^^^^^020913WFC00001022379_0'
 (string)
  info.product = 'USB Mass Storage Interface'  (string)
  usb.interface.subclass = 5  (0x5)  (int)
  usb.interface.protocol = 0  (0x0)  (int)
  usb.interface.number = 0  (0x0)  (int)
  usb.interface.class = 8  (0x8)  (int)
  usb.configuration_value = 1  (0x1)  (int)
  usb.device_class = 0  (0x0)  (int)
  usb.device_protocol = 0  (0x0)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.max_power = 2  (0x2)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 1  (0x1)  (int)
  usb.device_revision_bcd = 4096  (0x1000)  (int)
  usb.is_self_powered = true  (bool)
  usb.can_wake_up = false  (bool)
  usb.serial = 'Y-393^^^^^020913WFC00001022379'  (string)
  usb.product_id = 274  (0x112)  (int)
  usb.vendor_id = 1227  (0x4cb)  (int)
  usb.vendor = 'Fuji Photo Film Co., Ltd'  (string)
  usb.product = 'USB Mass Storage'  (string)
  usb.bus_number = 3  (0x3)  (int)
  usb.port_number = 2  (0x2)  (int)
  usb.level_number = 1  (0x1)  (int)
  usb.linux.device_number = 3  (0x3)  (int)
  usb.linux.parent_number = 3  (0x3)  (int)
  usb.num_ports = 0  (0x0)  (int)
  usb.speed_bcd = 4608  (0x1200)  (int)
  usb.version_bcd = 272  (0x110)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_4cb_112_1000_-1_Y-393^^^^^020913WFC00001022379'
 (string)
  usb.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-2/3-2:1.0'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-2/3-2:1.0'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-2/3-2:1.0'  (string)
  info.bus = 'usb'  (string)

udi =
'/org/freedesktop/Hal/devices/usb_device_4cb_112_1000_-1_Y-393^^^^^020913WFC00001022379'
  storage.policy.should_mount = true  (bool)
  info.udi =
'/org/freedesktop/Hal/devices/usb_device_4cb_112_1000_-1_Y-393^^^^^020913WFC00001022379'
 (string)
  linux.kernel_devname = 'usb-0000:00:02.1-2'  (string)
  usb_device.version_bcd = 272  (0x110)  (int)
  usb_device.speed_bcd = 4608  (0x1200)  (int)
  usb_device.num_ports = 0  (0x0)  (int)
  usb_device.linux.parent_number = 3  (0x3)  (int)
  usb_device.linux.device_number = 3  (0x3)  (int)
  usb_device.level_number = 1  (0x1)  (int)
  usb_device.port_number = 2  (0x2)  (int)
  usb_device.bus_number = 3  (0x3)  (int)
  info.product = 'USB Mass Storage'  (string)
  usb_device.product = 'USB Mass Storage'  (string)
  info.vendor = 'Fuji Photo Film Co., Ltd'  (string)
  usb_device.vendor = 'Fuji Photo Film Co., Ltd'  (string)
  usb_device.vendor_id = 1227  (0x4cb)  (int)
  usb_device.product_id = 274  (0x112)  (int)
  usb_device.serial = 'Y-393^^^^^020913WFC00001022379'  (string)
  usb_device.can_wake_up = false  (bool)
  usb_device.is_self_powered = true  (bool)
  usb_device.device_revision_bcd = 4096  (0x1000)  (int)
  usb_device.num_interfaces = 1  (0x1)  (int)
  usb_device.num_configurations = 1  (0x1)  (int)
  usb_device.max_power = 2  (0x2)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  usb_device.device_protocol = 0  (0x0)  (int)
  usb_device.device_class = 0  (0x0)  (int)
  usb_device.configuration_value = 1  (0x1)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_0_0_206_-1_0000:00:02.1' 
(string)
  usb_device.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-2'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-2'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.1/usb3/3-2' 
(string)
  info.bus = 'usb_device'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_1e0'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_1e0'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.device_class = 6  (0x6)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 AGP (different version?)'  (string)
  pci.product = 'nForce2 AGP (different version?)'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 0  (0x0)  (int)
  pci.subsys_vendor_id = 0  (0x0)  (int)
  pci.product_id = 480  (0x1e0)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.0'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:00.0' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.0'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_1eb'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_1eb'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.device_class = 5  (0x5)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 Memory Controller 1'  (string)
  pci.subsys_vendor = 'Micro-Star International Co., Ltd.'  (string)
  pci.product = 'nForce2 Memory Controller 1'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 30576  (0x7770)  (int)
  pci.subsys_vendor_id = 5218  (0x1462)  (int)
  pci.product_id = 491  (0x1eb)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.1'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:00.1' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.1'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_1ee'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_1ee'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.device_class = 5  (0x5)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 Memory Controller 4'  (string)
  pci.subsys_vendor = 'Micro-Star International Co., Ltd.'  (string)
  pci.product = 'nForce2 Memory Controller 4'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 30576  (0x7770)  (int)
  pci.subsys_vendor_id = 5218  (0x1462)  (int)
  pci.product_id = 494  (0x1ee)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.2'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:00.2' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.2'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_1ed'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_1ed'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.device_class = 5  (0x5)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 Memory Controller 3'  (string)
  pci.subsys_vendor = 'Micro-Star International Co., Ltd.'  (string)
  pci.product = 'nForce2 Memory Controller 3'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 30576  (0x7770)  (int)
  pci.subsys_vendor_id = 5218  (0x1462)  (int)
  pci.product_id = 493  (0x1ed)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.3'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:00.3' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.3'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_1ec'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_1ec'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.device_class = 5  (0x5)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 Memory Controller 2'  (string)
  pci.subsys_vendor = 'Micro-Star International Co., Ltd.'  (string)
  pci.product = 'nForce2 Memory Controller 2'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 30576  (0x7770)  (int)
  pci.subsys_vendor_id = 5218  (0x1462)  (int)
  pci.product_id = 492  (0x1ec)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.4'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:00.4' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.4'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_1ef'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_1ef'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.device_class = 5  (0x5)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 Memory Controller 5'  (string)
  pci.subsys_vendor = 'Micro-Star International Co., Ltd.'  (string)
  pci.product = 'nForce2 Memory Controller 5'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 30576  (0x7770)  (int)
  pci.subsys_vendor_id = 5218  (0x1462)  (int)
  pci.product_id = 495  (0x1ef)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.5'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:00.5' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.5'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_60'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_60'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 1  (0x1)  (int)
  pci.device_class = 6  (0x6)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 ISA Bridge'  (string)
  pci.subsys_vendor = 'Micro-Star International Co., Ltd.'  (string)
  pci.product = 'nForce2 ISA Bridge'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 30576  (0x7770)  (int)
  pci.subsys_vendor_id = 5218  (0x1462)  (int)
  pci.product_id = 96  (0x60)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:01.0'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:01.0' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:01.0'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_64'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_64'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 5  (0x5)  (int)
  pci.device_class = 12  (0xc)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 SMBus (MCP)'  (string)
  pci.subsys_vendor = 'Micro-Star International Co., Ltd.'  (string)
  pci.product = 'nForce2 SMBus (MCP)'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 30576  (0x7770)  (int)
  pci.subsys_vendor_id = 5218  (0x1462)  (int)
  pci.product_id = 100  (0x64)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:01.1'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:01.1' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:01.1'  (string)
  info.bus = 'pci'  (string)

udi =
'/org/freedesktop/Hal/devices/usb_usb_device_0_0_206_-1_0000:00:02.0_0'
  info.udi =
'/org/freedesktop/Hal/devices/usb_usb_device_0_0_206_-1_0000:00:02.0_0'
 (string)
  info.product = 'USB Hub Interface'  (string)
  usb.interface.subclass = 0  (0x0)  (int)
  usb.interface.protocol = 0  (0x0)  (int)
  usb.interface.number = 0  (0x0)  (int)
  usb.interface.class = 9  (0x9)  (int)
  usb.configuration_value = 1  (0x1)  (int)
  usb.device_class = 9  (0x9)  (int)
  usb.device_protocol = 0  (0x0)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.max_power = 0  (0x0)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 1  (0x1)  (int)
  usb.device_revision_bcd = 518  (0x206)  (int)
  usb.is_self_powered = true  (bool)
  usb.can_wake_up = true  (bool)
  usb.serial = '0000:00:02.0'  (string)
  usb.product_id = 0  (0x0)  (int)
  usb.vendor_id = 0  (0x0)  (int)
  usb.vendor = 'Linux 2.6.10-rc2 ohci_hcd'  (string)
  usb.product = 'nVidia Corporation nForce2 USB Controller'  (string)
  usb.bus_number = 2  (0x2)  (int)
  usb.level_number = 0  (0x0)  (int)
  usb.linux.device_number = 1  (0x1)  (int)
  usb.linux.parent_number = 1  (0x1)  (int)
  usb.num_ports = 3  (0x3)  (int)
  usb.speed_bcd = 4608  (0x1200)  (int)
  usb.version_bcd = 272  (0x110)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_0_0_206_-1_0000:00:02.0' 
(string)
  usb.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.0/usb2/2-0:1.0'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.0/usb2/2-0:1.0'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.0/usb2/2-0:1.0'  (string)
  info.bus = 'usb'  (string)

udi = '/org/freedesktop/Hal/devices/usb_device_0_0_206_-1_0000:00:02.0'
  info.udi =
'/org/freedesktop/Hal/devices/usb_device_0_0_206_-1_0000:00:02.0' 
(string)
  linux.kernel_devname = 'usb-0000:00:02.0'  (string)
  usb_device.version_bcd = 272  (0x110)  (int)
  usb_device.speed_bcd = 4608  (0x1200)  (int)
  usb_device.num_ports = 3  (0x3)  (int)
  usb_device.linux.parent_number = 1  (0x1)  (int)
  usb_device.linux.device_number = 1  (0x1)  (int)
  usb_device.level_number = 0  (0x0)  (int)
  usb_device.bus_number = 2  (0x2)  (int)
  info.category = 'usbhub'  (string)
  info.capabilities = 'usbhub'  (string)
  info.product = 'nVidia Corporation nForce2 USB Controller'  (string)
  usb_device.product = 'nVidia Corporation nForce2 USB Controller' 
(string)
  info.vendor = 'Linux 2.6.10-rc2 ohci_hcd'  (string)
  usb_device.vendor = 'Linux 2.6.10-rc2 ohci_hcd'  (string)
  usb_device.vendor_id = 0  (0x0)  (int)
  usb_device.product_id = 0  (0x0)  (int)
  usb_device.serial = '0000:00:02.0'  (string)
  usb_device.can_wake_up = true  (bool)
  usb_device.is_self_powered = true  (bool)
  usb_device.device_revision_bcd = 518  (0x206)  (int)
  usb_device.num_interfaces = 1  (0x1)  (int)
  usb_device.num_configurations = 1  (0x1)  (int)
  usb_device.max_power = 0  (0x0)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  usb_device.device_protocol = 0  (0x0)  (int)
  usb_device.device_class = 9  (0x9)  (int)
  usb_device.configuration_value = 1  (0x1)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_10de_67/0'  (string)
  usb_device.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.0/usb2'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.0/usb2'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.0/usb2'  (string)
  info.bus = 'usb_device'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_67/0'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_67/0'  (string)
  pci.device_protocol = 16  (0x10)  (int)
  pci.device_subclass = 3  (0x3)  (int)
  pci.device_class = 12  (0xc)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 USB Controller'  (string)
  pci.subsys_vendor = 'Micro-Star International Co., Ltd.'  (string)
  pci.product = 'nForce2 USB Controller'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 30576  (0x7770)  (int)
  pci.subsys_vendor_id = 5218  (0x1462)  (int)
  pci.product_id = 103  (0x67)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.0'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:02.0' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.0'  (string)
  info.bus = 'pci'  (string)

udi =
'/org/freedesktop/Hal/devices/usb_usb_device_0_0_206_-1_0000:00:02.1_0'
  info.udi =
'/org/freedesktop/Hal/devices/usb_usb_device_0_0_206_-1_0000:00:02.1_0'
 (string)
  info.product = 'USB Hub Interface'  (string)
  usb.interface.subclass = 0  (0x0)  (int)
  usb.interface.protocol = 0  (0x0)  (int)
  usb.interface.number = 0  (0x0)  (int)
  usb.interface.class = 9  (0x9)  (int)
  usb.configuration_value = 1  (0x1)  (int)
  usb.device_class = 9  (0x9)  (int)
  usb.device_protocol = 0  (0x0)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.max_power = 0  (0x0)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 1  (0x1)  (int)
  usb.device_revision_bcd = 518  (0x206)  (int)
  usb.is_self_powered = true  (bool)
  usb.can_wake_up = true  (bool)
  usb.serial = '0000:00:02.1'  (string)
  usb.product_id = 0  (0x0)  (int)
  usb.vendor_id = 0  (0x0)  (int)
  usb.vendor = 'Linux 2.6.10-rc2 ohci_hcd'  (string)
  usb.product = 'nVidia Corporation nForce2 USB Controller (#2)'  (string)
  usb.bus_number = 3  (0x3)  (int)
  usb.level_number = 0  (0x0)  (int)
  usb.linux.device_number = 1  (0x1)  (int)
  usb.linux.parent_number = 1  (0x1)  (int)
  usb.num_ports = 3  (0x3)  (int)
  usb.speed_bcd = 4608  (0x1200)  (int)
  usb.version_bcd = 272  (0x110)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_0_0_206_-1_0000:00:02.1' 
(string)
  usb.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-0:1.0'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-0:1.0'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-0:1.0'  (string)
  info.bus = 'usb'  (string)

udi =
'/org/freedesktop/Hal/devices/usb_usb_device_3f0_3011_100_-1_MY378D92CHB0_0'
  info.udi =
'/org/freedesktop/Hal/devices/usb_usb_device_3f0_3011_100_-1_MY378D92CHB0_0'
 (string)
  info.product = 'USB Interface'  (string)
  usb.interface.subclass = 0  (0x0)  (int)
  usb.interface.protocol = 0  (0x0)  (int)
  usb.interface.number = 0  (0x0)  (int)
  usb.interface.class = 0  (0x0)  (int)
  usb.configuration_value = 1  (0x1)  (int)
  usb.device_class = 0  (0x0)  (int)
  usb.device_protocol = 0  (0x0)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.max_power = 2  (0x2)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 3  (0x3)  (int)
  usb.device_revision_bcd = 256  (0x100)  (int)
  usb.is_self_powered = true  (bool)
  usb.can_wake_up = false  (bool)
  usb.serial = 'MY378D92CHB0'  (string)
  usb.product_id = 12305  (0x3011)  (int)
  usb.vendor_id = 1008  (0x3f0)  (int)
  usb.vendor = 'Hewlett-Packard'  (string)
  usb.product = 'psc 1100 series'  (string)
  usb.bus_number = 3  (0x3)  (int)
  usb.port_number = 1  (0x1)  (int)
  usb.level_number = 1  (0x1)  (int)
  usb.linux.device_number = 2  (0x2)  (int)
  usb.linux.parent_number = 2  (0x2)  (int)
  usb.num_ports = 0  (0x0)  (int)
  usb.speed_bcd = 4608  (0x1200)  (int)
  usb.version_bcd = 512  (0x200)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_3f0_3011_100_-1_MY378D92CHB0'
 (string)
  usb.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-1/3-1:1.0'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-1/3-1:1.0'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-1/3-1:1.0'  (string)
  info.bus = 'usb'  (string)

udi =
'/org/freedesktop/Hal/devices/usb_usb_device_3f0_3011_100_-1_MY378D92CHB0_1'
  info.capabilities = 'printer'  (string)
  printer.device = '/dev/usb/lp0'  (string)
  info.category = 'printer'  (string)
  info.vendor = 'Hewlett-Packard'  (string)
  printer.vendor = 'Hewlett-Packard'  (string)
  printer.product = 'psc 1100 series'  (string)
  printer.serial = 'MY378D92CHB0'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/usb_usb_device_3f0_3011_100_-1_MY378D92CHB0_1'
 (string)
  info.product = 'psc 1100 series'  (string)
  usb.interface.subclass = 1  (0x1)  (int)
  usb.interface.protocol = 2  (0x2)  (int)
  usb.interface.number = 1  (0x1)  (int)
  usb.interface.class = 7  (0x7)  (int)
  usb.configuration_value = 1  (0x1)  (int)
  usb.device_class = 0  (0x0)  (int)
  usb.device_protocol = 0  (0x0)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.max_power = 2  (0x2)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 3  (0x3)  (int)
  usb.device_revision_bcd = 256  (0x100)  (int)
  usb.is_self_powered = true  (bool)
  usb.can_wake_up = false  (bool)
  usb.serial = 'MY378D92CHB0'  (string)
  usb.product_id = 12305  (0x3011)  (int)
  usb.vendor_id = 1008  (0x3f0)  (int)
  usb.vendor = 'Hewlett-Packard'  (string)
  usb.product = 'psc 1100 series'  (string)
  usb.bus_number = 3  (0x3)  (int)
  usb.port_number = 1  (0x1)  (int)
  usb.level_number = 1  (0x1)  (int)
  usb.linux.device_number = 2  (0x2)  (int)
  usb.linux.parent_number = 2  (0x2)  (int)
  usb.num_ports = 0  (0x0)  (int)
  usb.speed_bcd = 4608  (0x1200)  (int)
  usb.version_bcd = 512  (0x200)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_3f0_3011_100_-1_MY378D92CHB0'
 (string)
  usb.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-1/3-1:1.1'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-1/3-1:1.1'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-1/3-1:1.1'  (string)
  info.bus = 'usb'  (string)

udi =
'/org/freedesktop/Hal/devices/usb_usb_device_3f0_3011_100_-1_MY378D92CHB0_2'
  info.udi =
'/org/freedesktop/Hal/devices/usb_usb_device_3f0_3011_100_-1_MY378D92CHB0_2'
 (string)
  info.product = 'USB Interface'  (string)
  usb.interface.subclass = 0  (0x0)  (int)
  usb.interface.protocol = 0  (0x0)  (int)
  usb.interface.number = 2  (0x2)  (int)
  usb.interface.class = 0  (0x0)  (int)
  usb.configuration_value = 1  (0x1)  (int)
  usb.device_class = 0  (0x0)  (int)
  usb.device_protocol = 0  (0x0)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.max_power = 2  (0x2)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 3  (0x3)  (int)
  usb.device_revision_bcd = 256  (0x100)  (int)
  usb.is_self_powered = true  (bool)
  usb.can_wake_up = false  (bool)
  usb.serial = 'MY378D92CHB0'  (string)
  usb.product_id = 12305  (0x3011)  (int)
  usb.vendor_id = 1008  (0x3f0)  (int)
  usb.vendor = 'Hewlett-Packard'  (string)
  usb.product = 'psc 1100 series'  (string)
  usb.bus_number = 3  (0x3)  (int)
  usb.port_number = 1  (0x1)  (int)
  usb.level_number = 1  (0x1)  (int)
  usb.linux.device_number = 2  (0x2)  (int)
  usb.linux.parent_number = 2  (0x2)  (int)
  usb.num_ports = 0  (0x0)  (int)
  usb.speed_bcd = 4608  (0x1200)  (int)
  usb.version_bcd = 512  (0x200)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_3f0_3011_100_-1_MY378D92CHB0'
 (string)
  usb.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-1/3-1:1.2'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-1/3-1:1.2'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-1/3-1:1.2'  (string)
  info.bus = 'usb'  (string)

udi =
'/org/freedesktop/Hal/devices/usb_device_3f0_3011_100_-1_MY378D92CHB0'
  info.udi =
'/org/freedesktop/Hal/devices/usb_device_3f0_3011_100_-1_MY378D92CHB0'
 (string)
  linux.kernel_devname = 'usb-0000:00:02.1-1'  (string)
  usb_device.version_bcd = 512  (0x200)  (int)
  usb_device.speed_bcd = 4608  (0x1200)  (int)
  usb_device.num_ports = 0  (0x0)  (int)
  usb_device.linux.parent_number = 2  (0x2)  (int)
  usb_device.linux.device_number = 2  (0x2)  (int)
  usb_device.level_number = 1  (0x1)  (int)
  usb_device.port_number = 1  (0x1)  (int)
  usb_device.bus_number = 3  (0x3)  (int)
  info.product = 'psc 1100 series'  (string)
  usb_device.product = 'psc 1100 series'  (string)
  info.vendor = 'Hewlett-Packard'  (string)
  usb_device.vendor = 'Hewlett-Packard'  (string)
  usb_device.vendor_id = 1008  (0x3f0)  (int)
  usb_device.product_id = 12305  (0x3011)  (int)
  usb_device.serial = 'MY378D92CHB0'  (string)
  usb_device.can_wake_up = false  (bool)
  usb_device.is_self_powered = true  (bool)
  usb_device.device_revision_bcd = 256  (0x100)  (int)
  usb_device.num_interfaces = 3  (0x3)  (int)
  usb_device.num_configurations = 1  (0x1)  (int)
  usb_device.max_power = 2  (0x2)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  usb_device.device_protocol = 0  (0x0)  (int)
  usb_device.device_class = 0  (0x0)  (int)
  usb_device.configuration_value = 1  (0x1)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_0_0_206_-1_0000:00:02.1' 
(string)
  usb_device.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-1'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.1/usb3/3-1'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.1/usb3/3-1' 
(string)
  info.bus = 'usb_device'  (string)

udi = '/org/freedesktop/Hal/devices/usb_device_0_0_206_-1_0000:00:02.1'
  info.udi =
'/org/freedesktop/Hal/devices/usb_device_0_0_206_-1_0000:00:02.1' 
(string)
  linux.kernel_devname = 'usb-0000:00:02.1'  (string)
  usb_device.version_bcd = 272  (0x110)  (int)
  usb_device.speed_bcd = 4608  (0x1200)  (int)
  usb_device.num_ports = 3  (0x3)  (int)
  usb_device.linux.parent_number = 1  (0x1)  (int)
  usb_device.linux.device_number = 1  (0x1)  (int)
  usb_device.level_number = 0  (0x0)  (int)
  usb_device.bus_number = 3  (0x3)  (int)
  info.category = 'usbhub'  (string)
  info.capabilities = 'usbhub'  (string)
  info.product = 'nVidia Corporation nForce2 USB Controller (#2)' 
(string)
  usb_device.product = 'nVidia Corporation nForce2 USB Controller
(#2)'  (string)
  info.vendor = 'Linux 2.6.10-rc2 ohci_hcd'  (string)
  usb_device.vendor = 'Linux 2.6.10-rc2 ohci_hcd'  (string)
  usb_device.vendor_id = 0  (0x0)  (int)
  usb_device.product_id = 0  (0x0)  (int)
  usb_device.serial = '0000:00:02.1'  (string)
  usb_device.can_wake_up = true  (bool)
  usb_device.is_self_powered = true  (bool)
  usb_device.device_revision_bcd = 518  (0x206)  (int)
  usb_device.num_interfaces = 1  (0x1)  (int)
  usb_device.num_configurations = 1  (0x1)  (int)
  usb_device.max_power = 0  (0x0)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  usb_device.device_protocol = 0  (0x0)  (int)
  usb_device.device_class = 9  (0x9)  (int)
  usb_device.configuration_value = 1  (0x1)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_10de_67'  (string)
  usb_device.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.1/usb3'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.1/usb3'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.1/usb3'  (string)
  info.bus = 'usb_device'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_67'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_67'  (string)
  pci.device_protocol = 16  (0x10)  (int)
  pci.device_subclass = 3  (0x3)  (int)
  pci.device_class = 12  (0xc)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 USB Controller'  (string)
  pci.subsys_vendor = 'Micro-Star International Co., Ltd.'  (string)
  pci.product = 'nForce2 USB Controller'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 30576  (0x7770)  (int)
  pci.subsys_vendor_id = 5218  (0x1462)  (int)
  pci.product_id = 103  (0x67)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.1'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:02.1' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.1'  (string)
  info.bus = 'pci'  (string)

udi =
'/org/freedesktop/Hal/devices/usb_usb_device_0_0_206_-1_0000:00:02.2_0'
  info.udi =
'/org/freedesktop/Hal/devices/usb_usb_device_0_0_206_-1_0000:00:02.2_0'
 (string)
  info.product = 'USB Hub Interface'  (string)
  usb.interface.subclass = 0  (0x0)  (int)
  usb.interface.protocol = 0  (0x0)  (int)
  usb.interface.number = 0  (0x0)  (int)
  usb.interface.class = 9  (0x9)  (int)
  usb.configuration_value = 1  (0x1)  (int)
  usb.device_class = 9  (0x9)  (int)
  usb.device_protocol = 1  (0x1)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.max_power = 0  (0x0)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 1  (0x1)  (int)
  usb.device_revision_bcd = 518  (0x206)  (int)
  usb.is_self_powered = true  (bool)
  usb.can_wake_up = true  (bool)
  usb.serial = '0000:00:02.2'  (string)
  usb.product_id = 0  (0x0)  (int)
  usb.vendor_id = 0  (0x0)  (int)
  usb.vendor = 'Linux 2.6.10-rc2 ehci_hcd'  (string)
  usb.product = 'nVidia Corporation nForce2 USB Controller'  (string)
  usb.bus_number = 1  (0x1)  (int)
  usb.level_number = 0  (0x0)  (int)
  usb.linux.device_number = 1  (0x1)  (int)
  usb.linux.parent_number = 1  (0x1)  (int)
  usb.num_ports = 6  (0x6)  (int)
  usb.speed_bcd = 294936  (0x48018)  (int)
  usb.version_bcd = 512  (0x200)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_0_0_206_-1_0000:00:02.2' 
(string)
  usb.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.2/usb1/1-0:1.0'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.2/usb1/1-0:1.0'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.2/usb1/1-0:1.0'  (string)
  info.bus = 'usb'  (string)

udi = '/org/freedesktop/Hal/devices/usb_device_0_0_206_-1_0000:00:02.2'
  info.udi =
'/org/freedesktop/Hal/devices/usb_device_0_0_206_-1_0000:00:02.2' 
(string)
  linux.kernel_devname = 'usb-0000:00:02.2'  (string)
  usb_device.version_bcd = 512  (0x200)  (int)
  usb_device.speed_bcd = 294936  (0x48018)  (int)
  usb_device.num_ports = 6  (0x6)  (int)
  usb_device.linux.parent_number = 1  (0x1)  (int)
  usb_device.linux.device_number = 1  (0x1)  (int)
  usb_device.level_number = 0  (0x0)  (int)
  usb_device.bus_number = 1  (0x1)  (int)
  info.category = 'usbhub'  (string)
  info.capabilities = 'usbhub'  (string)
  info.product = 'nVidia Corporation nForce2 USB Controller'  (string)
  usb_device.product = 'nVidia Corporation nForce2 USB Controller' 
(string)
  info.vendor = 'Linux 2.6.10-rc2 ehci_hcd'  (string)
  usb_device.vendor = 'Linux 2.6.10-rc2 ehci_hcd'  (string)
  usb_device.vendor_id = 0  (0x0)  (int)
  usb_device.product_id = 0  (0x0)  (int)
  usb_device.serial = '0000:00:02.2'  (string)
  usb_device.can_wake_up = true  (bool)
  usb_device.is_self_powered = true  (bool)
  usb_device.device_revision_bcd = 518  (0x206)  (int)
  usb_device.num_interfaces = 1  (0x1)  (int)
  usb_device.num_configurations = 1  (0x1)  (int)
  usb_device.max_power = 0  (0x0)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  usb_device.device_protocol = 1  (0x1)  (int)
  usb_device.device_class = 9  (0x9)  (int)
  usb_device.configuration_value = 1  (0x1)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_10de_68'  (string)
  usb_device.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:02.2/usb1'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.2/usb1'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.2/usb1'  (string)
  info.bus = 'usb_device'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_68'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_68'  (string)
  pci.device_protocol = 32  (0x20)  (int)
  pci.device_subclass = 3  (0x3)  (int)
  pci.device_class = 12  (0xc)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 USB Controller'  (string)
  pci.subsys_vendor = 'Micro-Star International Co., Ltd.'  (string)
  pci.product = 'nForce2 USB Controller'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 30576  (0x7770)  (int)
  pci.subsys_vendor_id = 5218  (0x1462)  (int)
  pci.product_id = 104  (0x68)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.2'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:02.2' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.2'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_66'
  info.capabilities = 'net net.80203'  (string)
  net.linux.sysfs_path = '/sys/class/net/eth0'  (string)
  net.interface = 'eth0'  (string)
  net.linux.driver = 'forcedeth'  (string)
  net.address = '00:0c:76:50:ca:36'  (string)
  net.interface_up = true  (bool)
  net.linux.ifindex = 2  (0x2)  (int)
  net.80203.mac_address = 53524613686  (0xc7650ca36)  (uint64)
  net.arp_proto_hw_id = 1  (0x1)  (int)
  net.media = 'Ethernet'  (string)
  info.category = 'net.80203'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_66'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.device_class = 2  (0x2)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 Ethernet Controller'  (string)
  pci.subsys_vendor = 'Micro-Star International Co., Ltd.'  (string)
  pci.product = 'nForce2 Ethernet Controller'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 30588  (0x777c)  (int)
  pci.subsys_vendor_id = 5218  (0x1462)  (int)
  pci.product_id = 102  (0x66)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:04.0'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:04.0' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:04.0'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_6a'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_6a'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 1  (0x1)  (int)
  pci.device_class = 4  (0x4)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 AC97 Audio Controler (MCP)'  (string)
  pci.subsys_vendor = 'Micro-Star International Co., Ltd.'  (string)
  pci.product = 'nForce2 AC97 Audio Controler (MCP)'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 30576  (0x7770)  (int)
  pci.subsys_vendor_id = 5218  (0x1462)  (int)
  pci.product_id = 106  (0x6a)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:06.0'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:06.0' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:06.0'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1274_5000'
  info.udi = '/org/freedesktop/Hal/devices/pci_1274_5000'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 1  (0x1)  (int)
  pci.device_class = 4  (0x4)  (int)
  info.vendor = 'Ensoniq'  (string)
  info.product = 'ES1370 [AudioPCI]'  (string)
  pci.product = 'ES1370 [AudioPCI]'  (string)
  pci.vendor = 'Ensoniq'  (string)
  pci.subsys_product_id = 19532  (0x4c4c)  (int)
  pci.subsys_vendor_id = 18754  (0x4942)  (int)
  pci.product_id = 20480  (0x5000)  (int)
  pci.vendor_id = 4724  (0x1274)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_10de_6c'  (string)
  pci.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:08.0/0000:01:07.0'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:08.0/0000:01:07.0'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:08.0/0000:01:07.0'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/ieee1394_node_0'
  info.udi = '/org/freedesktop/Hal/devices/ieee1394_node_0'  (string)
  info.vendor = 'Linux - ohci1394'  (string)
  ieee1394.vendor = 'Linux - ohci1394'  (string)
  ieee1394.vendor_id = 4316  (0x10dc)  (int)
  ieee1394.nodeid = 65472  (0xffc0)  (int)
  ieee1394.guid = 3570635  (0x367bcb)  (int)
  ieee1394.capabilities = 33728  (0x83c0)  (int)
  info.parent = '/org/freedesktop/Hal/devices/ieee1394_host_0'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:08.0/0000:01:0b.0/fw-host0/0010dc0000367bcb'
 (string)
  linux.sysfs_path = '/sys/class/ieee1394_node/0010dc0000367bcb'  (string)
  info.bus = 'ieee1394_node'  (string)

udi = '/org/freedesktop/Hal/devices/ieee1394_host_0'
  info.udi = '/org/freedesktop/Hal/devices/ieee1394_host_0'  (string)
  ieee1394.nodes_active = 1  (0x1)  (int)
  ieee1394.node_count = 1  (0x1)  (int)
  ieee1394.is_root = true  (bool)
  ieee1394.is_irn = true  (bool)
  ieee1394.is_busmgr = false  (bool)
  info.parent = '/org/freedesktop/Hal/devices/pci_1106_3044'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:08.0/0000:01:0b.0/fw-host0'  (string)
  linux.sysfs_path = '/sys/class/ieee1394_host/fw-host0'  (string)
  info.bus = 'ieee1394_host'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1106_3044'
  info.udi = '/org/freedesktop/Hal/devices/pci_1106_3044'  (string)
  pci.device_protocol = 16  (0x10)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.device_class = 12  (0xc)  (int)
  info.vendor = 'VIA Technologies, Inc.'  (string)
  info.product = 'IEEE 1394 Host Controller'  (string)
  pci.subsys_vendor = 'Micro-Star International Co., Ltd.'  (string)
  pci.product = 'IEEE 1394 Host Controller'  (string)
  pci.vendor = 'VIA Technologies, Inc.'  (string)
  pci.subsys_product_id = 30589  (0x777d)  (int)
  pci.subsys_vendor_id = 5218  (0x1462)  (int)
  pci.product_id = 12356  (0x3044)  (int)
  pci.vendor_id = 4358  (0x1106)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_10de_6c'  (string)
  pci.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:08.0/0000:01:0b.0'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:08.0/0000:01:0b.0'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:08.0/0000:01:0b.0'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_6c'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_6c'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 4  (0x4)  (int)
  pci.device_class = 6  (0x6)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 External PCI Bridge'  (string)
  pci.product = 'nForce2 External PCI Bridge'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 0  (0x0)  (int)
  pci.subsys_vendor_id = 0  (0x0)  (int)
  pci.product_id = 108  (0x6c)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:08.0'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:08.0' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:08.0'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/block_9E946B98946B7227'
  volume.mount_point = ''  (string)
  volume.policy.desired_mount_point = 'idedisk'  (string)
  volume.policy.mount_filesystem = 'ntfs'  (string)
  volume.policy.should_mount = true  (bool)
  info.udi = '/org/freedesktop/Hal/devices/block_9E946B98946B7227' 
(string)
  volume.partition.msdos_part_table_type = 7  (0x7)  (int)
  volume.size = 8595385344  (0x200532c00)  (uint64)
  volume.block_size = 512  (0x200)  (int)
  volume.num_blocks = 16787862  (0x1002996)  (int)
  volume.partition.number = 1  (0x1)  (int)
  volume.is_partition = true  (bool)
  volume.is_mounted = false  (bool)
  volume.is_disc = false  (bool)
  volume.uuid = '9E946B98946B7227'  (string)
  volume.label = ''  (string)
  volume.fsversion = '3.0'  (string)
  volume.fsusage = 'filesystem'  (string)
  volume.fstype = 'ntfs'  (string)
  info.product = 'Volume (ntfs)'  (string)
  block.storage_device = '/org/freedesktop/Hal/devices/block_Maxtor
6Y080L0-Y2M3LCSE'  (string)
  block.minor = 1  (0x1)  (int)
  block.major = 3  (0x3)  (int)
  info.capabilities = 'block volume'  (string)
  info.category = 'volume'  (string)
  info.parent = '/org/freedesktop/Hal/devices/block_Maxtor
6Y080L0-Y2M3LCSE'  (string)
  block.device = '/dev/hda1'  (string)
  block.is_volume = true  (bool)
  block.have_scanned = false  (bool)
  block.no_partitions = false  (bool)
  linux.sysfs_path_device = '/sys/block/hda/hda1'  (string)
  linux.sysfs_path = '/sys/block/hda/hda1'  (string)
  info.bus = 'block'  (string)

udi = '/org/freedesktop/Hal/devices/block_3_2'
  volume.mount_point = ''  (string)
  info.udi = '/org/freedesktop/Hal/devices/block_3_2'  (string)
  volume.partition.msdos_part_table_type = 15  (0xf)  (int)
  volume.size = 1024  (0x400)  (uint64)
  volume.block_size = 512  (0x200)  (int)
  volume.num_blocks = 2  (0x2)  (int)
  volume.partition.number = 2  (0x2)  (int)
  volume.is_partition = true  (bool)
  volume.is_mounted = false  (bool)
  volume.is_disc = false  (bool)
  volume.uuid = ''  (string)
  volume.label = ''  (string)
  volume.fsversion = ''  (string)
  volume.fsusage = ''  (string)
  volume.fstype = ''  (string)
  info.product = 'Volume'  (string)
  block.storage_device = '/org/freedesktop/Hal/devices/block_Maxtor
6Y080L0-Y2M3LCSE'  (string)
  block.minor = 2  (0x2)  (int)
  block.major = 3  (0x3)  (int)
  info.capabilities = 'block volume'  (string)
  info.category = 'volume'  (string)
  info.parent = '/org/freedesktop/Hal/devices/block_Maxtor
6Y080L0-Y2M3LCSE'  (string)
  block.device = '/dev/hda2'  (string)
  block.is_volume = true  (bool)
  block.have_scanned = false  (bool)
  block.no_partitions = false  (bool)
  linux.sysfs_path_device = '/sys/block/hda/hda2'  (string)
  linux.sysfs_path = '/sys/block/hda/hda2'  (string)
  info.bus = 'block'  (string)

udi = '/org/freedesktop/Hal/devices/block_3_5'
  volume.mount_point = ''  (string)
  info.udi = '/org/freedesktop/Hal/devices/block_3_5'  (string)
  volume.partition.msdos_part_table_type = 130  (0x82)  (int)
  volume.size = 1077479424  (0x40390800)  (uint64)
  volume.block_size = 512  (0x200)  (int)
  volume.num_blocks = 2104452  (0x201c84)  (int)
  volume.partition.number = 5  (0x5)  (int)
  volume.is_partition = true  (bool)
  volume.is_mounted = false  (bool)
  volume.is_disc = false  (bool)
  volume.uuid = ''  (string)
  volume.label = ''  (string)
  volume.fsversion = '2'  (string)
  volume.fsusage = 'other'  (string)
  volume.fstype = 'swap'  (string)
  info.product = 'Volume (swap)'  (string)
  block.storage_device = '/org/freedesktop/Hal/devices/block_Maxtor
6Y080L0-Y2M3LCSE'  (string)
  block.minor = 5  (0x5)  (int)
  block.major = 3  (0x3)  (int)
  info.capabilities = 'block volume'  (string)
  info.category = 'volume'  (string)
  info.parent = '/org/freedesktop/Hal/devices/block_Maxtor
6Y080L0-Y2M3LCSE'  (string)
  block.device = '/dev/hda5'  (string)
  block.is_volume = true  (bool)
  block.have_scanned = false  (bool)
  block.no_partitions = false  (bool)
  linux.sysfs_path_device = '/sys/block/hda/hda5'  (string)
  linux.sysfs_path = '/sys/block/hda/hda5'  (string)
  info.bus = 'block'  (string)

udi =
'/org/freedesktop/Hal/devices/block_006ecd88-6285-46e3-9528-bfb561776184'
  volume.mount_point = '/'  (string)
  volume.policy.desired_mount_point = 'idedisk'  (string)
  volume.policy.mount_filesystem = 'ext3'  (string)
  volume.policy.should_mount = true  (bool)
  info.udi =
'/org/freedesktop/Hal/devices/block_006ecd88-6285-46e3-9528-bfb561776184'
 (string)
  volume.partition.msdos_part_table_type = 131  (0x83)  (int)
  volume.size = 19526782464  (0x48be30e00)  (uint64)
  volume.block_size = 512  (0x200)  (int)
  volume.num_blocks = 38138247  (0x245f187)  (int)
  volume.partition.number = 6  (0x6)  (int)
  volume.is_partition = true  (bool)
  volume.is_mounted = true  (bool)
  volume.is_disc = false  (bool)
  volume.uuid = '006ecd88-6285-46e3-9528-bfb561776184'  (string)
  volume.label = ''  (string)
  volume.fsversion = ''  (string)
  volume.fsusage = 'filesystem'  (string)
  volume.fstype = 'ext3'  (string)
  info.product = 'Volume (ext3)'  (string)
  block.storage_device = '/org/freedesktop/Hal/devices/block_Maxtor
6Y080L0-Y2M3LCSE'  (string)
  block.minor = 6  (0x6)  (int)
  block.major = 3  (0x3)  (int)
  info.capabilities = 'block volume'  (string)
  info.category = 'volume'  (string)
  info.parent = '/org/freedesktop/Hal/devices/block_Maxtor
6Y080L0-Y2M3LCSE'  (string)
  block.device = '/dev/hda6'  (string)
  block.is_volume = true  (bool)
  block.have_scanned = false  (bool)
  block.no_partitions = false  (bool)
  linux.sysfs_path_device = '/sys/block/hda/hda6'  (string)
  linux.sysfs_path = '/sys/block/hda/hda6'  (string)
  info.bus = 'block'  (string)

udi = '/org/freedesktop/Hal/devices/block_3ECF-BE1B'
  volume.mount_point = '/mnt/media'  (string)
  volume.policy.desired_mount_point = 'idedisk'  (string)
  volume.policy.mount_filesystem = 'vfat'  (string)
  volume.policy.should_mount = true  (bool)
  info.udi = '/org/freedesktop/Hal/devices/block_3ECF-BE1B'  (string)
  volume.partition.msdos_part_table_type = 11  (0xb)  (int)
  volume.size = 52756913664  (0xc488e9e00)  (uint64)
  volume.block_size = 512  (0x200)  (int)
  volume.num_blocks = 103040847  (0x624474f)  (int)
  volume.partition.number = 7  (0x7)  (int)
  volume.is_partition = true  (bool)
  volume.is_mounted = true  (bool)
  volume.is_disc = false  (bool)
  volume.uuid = '3ECF-BE1B'  (string)
  volume.label = ''  (string)
  volume.fsversion = 'FAT32'  (string)
  volume.fsusage = 'filesystem'  (string)
  volume.fstype = 'vfat'  (string)
  info.product = 'Volume (vfat)'  (string)
  block.storage_device = '/org/freedesktop/Hal/devices/block_Maxtor
6Y080L0-Y2M3LCSE'  (string)
  block.minor = 7  (0x7)  (int)
  block.major = 3  (0x3)  (int)
  info.capabilities = 'block volume'  (string)
  info.category = 'volume'  (string)
  info.parent = '/org/freedesktop/Hal/devices/block_Maxtor
6Y080L0-Y2M3LCSE'  (string)
  block.device = '/dev/hda7'  (string)
  block.is_volume = true  (bool)
  block.have_scanned = false  (bool)
  block.no_partitions = false  (bool)
  linux.sysfs_path_device = '/sys/block/hda/hda7'  (string)
  linux.sysfs_path = '/sys/block/hda/hda7'  (string)
  info.bus = 'block'  (string)

udi = '/org/freedesktop/Hal/devices/block_Maxtor 6Y080L0-Y2M3LCSE'
  volume.is_partition = false  (bool)
  storage.policy.should_mount = false  (bool)
  info.udi = '/org/freedesktop/Hal/devices/block_Maxtor
6Y080L0-Y2M3LCSE'  (string)
  storage.requires_eject = false  (bool)
  storage.hotpluggable = false  (bool)
  storage.removable = false  (bool)
  storage.firmware_version = 'YAR41BW0'  (string)
  storage.serial = 'Y2M3LCSE'  (string)
  info.product = 'Maxtor 6Y080L0'  (string)
  storage.drive_type = 'disk'  (string)
  block.storage_device = '/org/freedesktop/Hal/devices/block_Maxtor
6Y080L0-Y2M3LCSE'  (string)
  storage.physical_device = '/org/freedesktop/Hal/devices/ide_0_0' 
(string)
  storage.vendor = ''  (string)
  storage.model = 'Maxtor 6Y080L0'  (string)
  storage.automount_enabled_hint = true  (bool)
  storage.no_partitions_hint = false  (bool)
  storage.media_check_enabled = true  (bool)
  storage.bus = 'ide'  (string)
  block.minor = 0  (0x0)  (int)
  block.major = 3  (0x3)  (int)
  info.capabilities = 'block storage'  (string)
  info.category = 'storage'  (string)
  info.parent = '/org/freedesktop/Hal/devices/ide_0_0'  (string)
  block.device = '/dev/hda'  (string)
  block.is_volume = false  (bool)
  block.have_scanned = true  (bool)
  block.no_partitions = false  (bool)
  linux.sysfs_path_device = '/sys/block/hda'  (string)
  linux.sysfs_path = '/sys/block/hda'  (string)
  info.bus = 'block'  (string)

udi = '/org/freedesktop/Hal/devices/ide_0_0'
  info.udi = '/org/freedesktop/Hal/devices/ide_0_0'  (string)
  info.product = 'IDE device (master)'  (string)
  ide.channel = 0  (0x0)  (int)
  ide.host = 0  (0x0)  (int)
  info.parent = '/org/freedesktop/Hal/devices/ide_host_0'  (string)
  ide.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:09.0/ide0/0.0'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:09.0/ide0/0.0'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:09.0/ide0/0.0' 
(string)
  info.bus = 'ide'  (string)

udi = '/org/freedesktop/Hal/devices/block_PCRW1208-4VO3131DE08288'
  storage.policy.desired_mount_point = 'cdrecorder'  (string)
  storage.policy.mount_filesystem = 'auto'  (string)
  storage.policy.should_mount = true  (bool)
  info.udi =
'/org/freedesktop/Hal/devices/block_PCRW1208-4VO3131DE08288'  (string)
  storage.requires_eject = true  (bool)
  storage.hotpluggable = false  (bool)
  storage.cdrom.write_speed = 2117  (0x845)  (int)
  storage.cdrom.read_speed = 5648  (0x1610)  (int)
  storage.cdrom.support_media_changed = true  (bool)
  storage.cdrom.dvdplusrw = false  (bool)
  storage.cdrom.dvdplusr = false  (bool)
  storage.cdrom.dvdram = false  (bool)
  storage.cdrom.dvdrw = false  (bool)
  storage.cdrom.dvdr = false  (bool)
  storage.cdrom.dvd = false  (bool)
  storage.cdrom.cdrw = true  (bool)
  storage.cdrom.cdr = true  (bool)
  storage.removable = true  (bool)
  storage.firmware_version = '4.0'  (string)
  storage.serial = '4VO3131DE08288'  (string)
  info.product = 'PCRW1208'  (string)
  storage.drive_type = 'cdrom'  (string)
  block.storage_device =
'/org/freedesktop/Hal/devices/block_PCRW1208-4VO3131DE08288'  (string)
  storage.physical_device = '/org/freedesktop/Hal/devices/ide_0_1' 
(string)
  storage.vendor = ''  (string)
  storage.model = 'PCRW1208'  (string)
  storage.automount_enabled_hint = true  (bool)
  storage.no_partitions_hint = true  (bool)
  storage.media_check_enabled = true  (bool)
  storage.bus = 'ide'  (string)
  block.minor = 64  (0x40)  (int)
  block.major = 3  (0x3)  (int)
  info.capabilities = 'block storage.cdrom storage'  (string)
  info.category = 'storage'  (string)
  info.parent = '/org/freedesktop/Hal/devices/ide_0_1'  (string)
  block.device = '/dev/cdrom'  (string)
  block.is_volume = false  (bool)
  block.have_scanned = false  (bool)
  block.no_partitions = true  (bool)
  linux.sysfs_path_device = '/sys/block/hdb'  (string)
  linux.sysfs_path = '/sys/block/hdb'  (string)
  info.bus = 'block'  (string)

udi = '/org/freedesktop/Hal/devices/ide_0_1'
  info.udi = '/org/freedesktop/Hal/devices/ide_0_1'  (string)
  info.product = 'IDE device (slave)'  (string)
  ide.channel = 1  (0x1)  (int)
  ide.host = 0  (0x0)  (int)
  info.parent = '/org/freedesktop/Hal/devices/ide_host_0'  (string)
  ide.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:09.0/ide0/0.1'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:09.0/ide0/0.1'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:09.0/ide0/0.1' 
(string)
  info.bus = 'ide'  (string)

udi = '/org/freedesktop/Hal/devices/ide_host_0'
  info.udi = '/org/freedesktop/Hal/devices/ide_host_0'  (string)
  info.product = 'IDE host controller'  (string)
  ide_host.host_number = 0  (0x0)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_10de_65'  (string)
  ide_host.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:09.0/ide0'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:09.0/ide0'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:09.0/ide0'  (string)
  info.bus = 'ide_host'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_65'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_65'  (string)
  pci.device_protocol = 138  (0x8a)  (int)
  pci.device_subclass = 1  (0x1)  (int)
  pci.device_class = 1  (0x1)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 IDE'  (string)
  pci.subsys_vendor = 'Micro-Star International Co., Ltd.'  (string)
  pci.product = 'nForce2 IDE'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 30576  (0x7770)  (int)
  pci.subsys_vendor_id = 5218  (0x1462)  (int)
  pci.product_id = 101  (0x65)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:09.0'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:09.0' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:09.0'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_110'
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_110'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.device_class = 3  (0x3)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'NV11 [GeForce2 MX/MX 400]'  (string)
  pci.subsys_product = 'V7100 Pro with TV output'  (string)
  pci.subsys_vendor = 'ASUSTeK Computer Inc.'  (string)
  pci.product = 'NV11 [GeForce2 MX/MX 400]'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 16433  (0x4031)  (int)
  pci.subsys_vendor_id = 4163  (0x1043)  (int)
  pci.product_id = 272  (0x110)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_10de_1e8'  (string)
  pci.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:02:00.0'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:02:00.0'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:02:00.0'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/pci_10de_1e8'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_1e8'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 4  (0x4)  (int)
  pci.device_class = 6  (0x6)  (int)
  info.vendor = 'nVidia Corporation'  (string)
  info.product = 'nForce2 AGP'  (string)
  pci.product = 'nForce2 AGP'  (string)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.subsys_product_id = 0  (0x0)  (int)
  pci.subsys_vendor_id = 0  (0x0)  (int)
  pci.product_id = 488  (0x1e8)  (int)
  pci.vendor_id = 4318  (0x10de)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:1e.0' 
(string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0'  (string)
  info.bus = 'pci'  (string)

udi = '/org/freedesktop/Hal/devices/computer'
  storage.policy.default.mount_option.exec = true  (bool)
  storage.policy.default.mount_option.pamconsole = true  (bool)
  storage.policy.default.mount_option.noauto = true  (bool)
  storage.policy.default.managed_keyword.secondary = 'kudzu'  (string)
  storage.policy.default.managed_keyword.primary = 'managed'  (string)
  storage.policy.default.use_managed_keyword = true  (bool)
  storage.policy.default.mount_root = '/media'  (string)
  kernel.machine = 'i686'  (string)
  kernel.version = '2.6.10-rc2'  (string)
  kernel.name = 'Linux'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Computer'  (string)
  linux.sysfs_path_device = '(none)'  (string)
  info.bus = 'unknown'  (string)


Dumped 45 device(s) from the Global Device List:
------------------------------------------------
Comment 3 Daniel Malmgren 2004-12-13 03:32:09 EST
This seems to work again after updating to latest hal
(0.4.2.cvs20041210-1). Guess I'll just close it...

Note You need to log in before you can comment on or make changes to this bug.